Subject: Re: [RFC][PATCH] net drivers and cache alignment

From: Jes Sorensen <[email-masked]>
Date: 15 Dec 2002 13:31:15 -0500

>>>>> "Andrew" == Andrew Morton <[email-masked]> writes:

Andrew> Andrew Morton wrote:
>> Then I am most confused.  None of these fields will be put under
>> busmastering or anything like that, so what advantage is there in
>> spreading them out?

Andrew> Oh I see what you want - to be able to pick up all the
Andrew> operating fields in a single fetch.

Andrew> That will increase the overall cache footprint though.  I
Andrew> wonder if it's really a net win, over just keeping it small.

There's another case where it matters, I guess one could look at it as
similar to the SMP case, but between CPU and device. Some devices have
producer indices in host memory which they update whenever it
receiving a packet. By putting that seperate from TX data structures
you avoid the CPU and the NIC fighting over cache lines.

Cheers,
Jes